%define api	3

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define name gnome-keyring
%define major %{nil}
%define libname %mklibname %{name} %{major}

Summary:	Keyring and password manager for the GNOME desktop
Name:		gnome-keyring
Version:	42.1
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# https://gitlab.gnome.org/GNOME/gnome-keyring/-/merge_requests/52
Patch0:  gnome-keyring-42.0-fix-strncpy.patch
URL:		https://wiki.gnome.org/Projects/GnomeKeyring
License:	GPLv2+ and LGPLv2+
Group:		Security
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(gck-1) >= 3.3.4
BuildRequires:	pkgconfig(dbus-1) >= 1.0
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(p11-kit-1)
BuildRequires:	pkgconfig(gcr-3) >= 3.27.92
BuildRequires:	intltool
BuildRequires:	pam-devel
BuildRequires:	libtasn1-tools
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	openssh-clients
Requires:	%{libname} = %{version}

# Mate keyring packages dropped by upstream and should be obsoleted by gnome-keyring.
Obsoletes:	mate-keyring < 1.8.0
Obsoletes:	%{_lib}mate-keyring-devel < 1.8.0
Obsoletes:	%{_lib}matekeyring-devel < 1.8.0
Obsoletes:	libmatekeyring-i18n < 1.8.0

#gw for keyring management GUI
Requires:	gcr
Recommends:	seahorse
Recommends:	pinentry-gnome3

%description
gnome-keyring is a program that keep password and other secrets for
users. It is run as a daemon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.
 
The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%package -n %{libname}
Summary:	Library files for mate-keyring
License:	LGPLv2+
Group:		System/Libraries
Requires:	%{name} >= %{version}
Obsoletes:	%{_lib}mate-keyring0 < 1.8.0
Obsoletes:	%{_lib}matekeyring1 < 1.8.0
Conflicts:	gnome-keyring < 3.36.0-2

%description -n %{libname}
This package contain the library files for %{name}

%prep
%autosetup -p1

%build
%configure \
	--with-pam-dir=%{_libdir}/security \
	--enable-pam \
	--with-systemd \
	--without-libcap-ng \
	--with-pkcs11-config=%{_datadir}/p11-kit/modules

# avoid unneeded direct dependencies
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%post
%systemd_user_post gnome-keyring-daemon.service

%preun
%systemd_user_preun gnome-keyring-daemon.service

%files -f %{name}.lang
%doc README NEWS
%{_bindir}/%{name}
%{_bindir}/%{name}-%{api}
%attr(755,root,root) %caps(cap_ipc_lock=ep) %{_bindir}/%{name}-daemon
%{_datadir}/dbus-1/services/*.service
%{_sysconfdir}/xdg/autostart/*
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/p11-kit/modules/gnome-keyring.module
%dir %{_datadir}/xdg-desktop-portal
%dir %{_datadir}/xdg-desktop-portal/portals
%{_datadir}/xdg-desktop-portal/portals/gnome-keyring.portal
%{_mandir}/man1/%{name}*.*
%{_userunitdir}/gnome-keyring-daemon.service
%{_userunitdir}/gnome-keyring-daemon.socket

%files -n %{libname}
%{_libdir}/%{name}/
%{_libdir}/pkcs11/gnome-keyring-pkcs11.so
%{_libdir}/security/pam_gnome_keyring.so


%changelog
* Mon Jul 11 2022 tv <tv> 42.1-1.mga9
+ Revision: 1868535
- Update to 42.1
+ wally <wally>
- update URL

* Thu Mar 31 2022 umeabot <umeabot> 40.0-2.mga9
+ Revision: 1836229
- Mageia 9 Mass Rebuild

* Fri Mar 26 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1710598
- new version 40.0
- dropped merged patch gnome-keyring-3.36.0-capng.patch

* Sun Nov 29 2020 luigiwalser <luigiwalser> 3.36.0-3.mga8
+ Revision: 1650062
- add patch from rhbz#1888978 to adapt to change in libcap-ng 0.8.1

* Fri Apr 10 2020 ovitters <ovitters> 3.36.0-2.mga8
+ Revision: 1566174
- split libraries into its own package (mga#11023)
+ danf <danf>
- Switch URLs from http: to https:

* Wed Mar 11 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1555427
- new version 3.36.0

* Mon Feb 24 2020 tv <tv> 3.35.90-1.mga8
+ Revision: 1549952
- adjust file list
- 3.35.90

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1534246
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 30 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1448369
- new version 3.34.0

* Fri Mar 08 2019 wally <wally> 3.31.91-2.mga7
+ Revision: 1372965
- use CAP_IPC_LOCK capability flag with gnome-keyring-daemon

* Thu Mar 07 2019 ovitters <ovitters> 3.31.91-1.mga7
+ Revision: 1372377
- new version 3.31.91

* Sun Sep 23 2018 umeabot <umeabot> 3.28.2-2.mga7
+ Revision: 1297961
- Mageia 7 Mass Rebuild

* Mon May 07 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1226947
- new version 3.28.2

* Sun Mar 25 2018 ovitters <ovitters> 3.28.0.2-1.mga7
+ Revision: 1212179
- new version 3.28.0.2

* Tue Mar 13 2018 ovitters <ovitters> 3.28.0.1-1.mga7
+ Revision: 1208837
- new version 3.28.0.1

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208441
- new version 3.28.0

* Sat Mar 10 2018 tv <tv> 3.27.92-1.mga7
+ Revision: 1208030
- BR openssh-clients for ssh-agents & ssh-add commands
- BR   pkgconfig(gcr-3) >= 3.27.92
- fix filelist
- use newer macros
+ ovitters <ovitters>
- new version 3.27.92

* Mon Jan 08 2018 ovitters <ovitters> 3.27.4-1.mga7
+ Revision: 1191637
- new version 3.27.4

* Mon Jul 17 2017 ovitters <ovitters> 3.20.1-1.mga7
+ Revision: 1124602
- new version 3.20.1

* Fri Mar 25 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 995258
- new version 3.20.0

* Wed Feb 17 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 963726
- new version 3.19.90

* Tue Feb 16 2016 daviddavid <daviddavid> 3.19.4-1.mga6
+ Revision: 962579
- new version: 3.19.4

* Sun Feb 14 2016 umeabot <umeabot> 3.18.3-2.mga6
+ Revision: 960369
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 ovitters <ovitters> 3.18.3-1.mga6
+ Revision: 895627
- new version 3.18.3

* Tue Oct 20 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 893015
- new version 3.18.2

* Fri Oct 16 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 892242
- new version 3.18.1

* Tue Sep 29 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 885014
- new release

* Mon Sep 14 2015 fwang <fwang> 3.17.91-2.mga6
+ Revision: 879129
- rebuild for new libgcrypt

* Sat Sep 05 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 872920
- new version 3.17.91

* Tue Aug 18 2015 ovitters <ovitters> 3.17.4-2.mga6
+ Revision: 865762
- recommend pinentry-gnome3

* Tue Aug 18 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 865743
- removes gnupg support (rely on gnupg pinentry support see bgo#750514)
- new version 3.17.4

* Sun Jun 21 2015 ovitters <ovitters> 3.16.0-1.mga6
+ Revision: 838459
- new version 3.16.0

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 745517
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721226
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 679727
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Sep 09 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 674228
- new version 3.13.91

* Sun May 18 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 623506
- new version 3.12.2

* Tue May 06 2014 tarakbumba <tarakbumba> 3.12.0-2.mga5
+ Revision: 620361
- mate-keyring should be obsoleted by gnome-keyring

* Sun Mar 23 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 606943
- new version 3.12.0

* Mon Mar 17 2014 dams <dams> 3.11.92-1.mga5
+ Revision: 604444
- new version 3.11.92

* Thu Feb 20 2014 tarakbumba <tarakbumba> 3.10.1-3.mga5
+ Revision: 595182
- Add gcr package as requires (mga#12830)

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 546106
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 502173
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484480
- new version 3.10.0

* Mon Aug 26 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 471897
- new version 3.9.90

* Fri Jul 26 2013 dams <dams> 3.9.1-1.mga4
+ Revision: 458166
- new version 3.9.1

* Sat Jun 15 2013 fwang <fwang> 3.8.2-2.mga4
+ Revision: 443258
- update pkcs module path

* Fri May 24 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 426789
- new version 3.8.2

* Sat Mar 02 2013 wally <wally> 3.6.3-1.mga3
+ Revision: 400984
- new version 3.6.3

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317301
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306807
- new version 3.6.1

* Mon Oct 15 2012 ovitters <ovitters> 3.6.0-2.mga3
+ Revision: 306744
- update group: Networking/Remote access → Security

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297606
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295891
- new version 3.5.92

* Mon Sep 03 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287543
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282554
- new version 3.5.90

* Thu Aug 09 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 280221
- update file list
- new version 3.5.5

* Mon Aug 06 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 279349
- new version 3.5.4

* Mon Jul 16 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 271337
- new version 3.5.3

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231060
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226624
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224356
- new version 3.3.92

* Fri Mar 09 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 222076
- new version 3.3.91

* Sat Feb 04 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 204447
- new version 3.3.5

* Mon Jan 16 2012 wally <wally> 3.3.4-1.mga2
+ Revision: 196973
- new version 3.3.4

* Wed Dec 21 2011 wally <wally> 3.3.3.1-1.mga2
+ Revision: 185464
- new version 3.3.3.1
- drop P0, fixed upstream

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184473
- new version 3.3.3
- add P0 to fix linking

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170460
- new version 3.3.2

* Thu Oct 27 2011 wally <wally> 3.3.1.1-1.mga2
+ Revision: 158780
- new version 3.1.1.1
- drop gcr parts (splitted out to a separate project)
- clean BRs

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156059
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 147984
- new version 3.2.0

* Sun Sep 18 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 144919
- new version 3.1.92
- drop patch from upstream

* Sat Sep 17 2011 wally <wally> 3.1.91-3.mga2
+ Revision: 144409
- add patch from upstream to fix build with latest p11-kit
- get rid of .la files

* Fri Sep 09 2011 wally <wally> 3.1.91-2.mga2
+ Revision: 141758
- obsolete more old pkgs

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138777
- drop unsatisfied req
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136756
- update file list
- update libmajor
- fix build
- new version 3.1.90
+ wally <wally>
- change conflict to obsoletes and provides to ensure smooth upgrade for
  current Cauldron users and to get rid of an old lib which also provides
  libgcr-3.so.0
- add conflicts
- new version 3.1.4
- BR p11-kit
- fix lib names
- clean .spec a bit

* Sun Jul 17 2011 wally <wally> 3.1.1-4.mga2
+ Revision: 125537
- drop the setuid bit from gnome-keyring-daemon
- revert previous changes

* Sun Jul 17 2011 wally <wally> 3.1.1-3.mga2
+ Revision: 125484
- add patches from Fedora to improve fs capability checks
- add missing BR
- fix file capabilities of gnome-keyring-daemon

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.1-2.mga2
+ Revision: 118383
- Bump release
- Fix packages name

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.1-1.mga2
+ Revision: 118353
- Fix major
- Remove P2 and P3
- New version 3.1.1

* Wed Jun 22 2011 mikala <mikala> 3.0.3-1.mga2
+ Revision: 112408
- Update to 3.0.3

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 106766
- Fix requires in the devel package
- Update back to version 3.0.2

* Wed Jun 15 2011 dmorgan <dmorgan> 2.32.1-2.mga2
+ Revision: 106672
- Split libgp11 in its own package

* Wed Jun 15 2011 dmorgan <dmorgan> 2.32.1-1.mga2
+ Revision: 106646
- Revert to  2.32.1 to fix packaging error

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 106437
- New version 3.0.2

* Tue Jan 11 2011 blino <blino> 2.32.1-1.mga1
+ Revision: 6410
- imported package gnome-keyring

